Issues list: Filters do not persist in common ticket viewing usage scenario

2011-01-22 17:52 - Brian Jordan

Status: Closed Start date: 2011-01-22

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

In a common usage scenario, applied ticket filters do not persist between page loads. This makes it difficult to browse back and forth

between closed tickets, for example.

Steps to reproduce:

1. Go to issues page, e.g., http://www.redmine.org/projects/redmine/issues

2. Apply "Closed" ticket filter

3. Click on one of the closed tickets

4. Press your browser's "back" button

5. Note the list has reverted to the default "Open" filter

Tested in Firefox and Chrome under OS X. Applies to versions of redmine running on both redmine.org and redmine.ruby-lang.org.

History

#1 - 2011-01-22 17:55 - Brian Jordan

Note: the filter you've selected will still be selected, but will not be applied to the listing.

In addition, if you click the "Issues" link at the top of the page instead of your browser's back button, it will correctly update the listing with your

selected filter.

#2 - 2013-04-03 21:54 - Bruce Svare

This appears to have been fixed long ago, It works for my computer using firefox.

#3 - 2013-04-06 13:09 - Toshi MARUYAMA

- Status changed from New to Needs feedback

#4 - 2015-03-05 08:29 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Fixed

I cannot reproduce in Redmine 3.0.0. It seems that this problem have been fixed (parhaps #5138?).

I close this issue.
